Bug - nautilus-gksu

Imagen de tekoraik
0 puntos

Bueno, al instalar nautilus-gksu en hardy para abrir carpetas como administrador, esta opción no aparece despues en el menú al hacer click en el boton derecho.

https://bugs.launchpad.net/ubuntu/hardy/+source/gksu/+bug/201462

La solución que proponen por el momento es esta:

Abrir terminal y escribir lo siguiente:

$ sudo cp /usr/lib/nautilus/extensions-1.0/libnautilus-gksu.so /usr/lib/nautilus/extensions-2.0/
$ killall nautilus

UN SALUDO

Imagen de geojorg
+1
0
-1

Es debido a que actualmente se esta portando GVFS a Gnome y la idea es que en el futuro no uses gksu nautilus si no el policy kit, se suponia que esto ya estaria en Hardy pero no alcanzo a llegar quizas en Intrepid este, por ahora te toca seguir usando la opcion que tienes o alt + f2 y escribir gksudo nautilus. Por eso el problema que te da.

Geojorg

Medellin - Colombia

http://geowworld.blogspot.com/ 

+1
0
-1

Geojorg

Medellin - Colombia

http://geowworld.blogspot.com/ 

Imagen de geojorg
+1
0
-1

Se duplico la entrada que pena.

+1
0
-1

Geojorg

Medellin - Colombia

http://geowworld.blogspot.com/ 

Imagen de tekoraik
+1
0
-1

Yo creo que policy kit tiene que ver con los permisos si, pero esto es diferente.

Aqui se habla de un paquete: nautilus-gksu

El cual introduce una opción en el menu contextual de nautilus, y no lo hace debido a que el directorio donde se instala la librería no es correcto.

Policy kit bien integrado haría que no hiciera falta esto. Vale, pero el paquete nautilus-gksu deberia funcionar igualmente.

UN SALUDO

+1
0
-1
Imagen de tekoraik
+1
0
-1

Ya se ha solucionado en una nueva revisión del paquete.

UN SALUDO

+1
0
-1
Imagen de jubilata
+1
0
-1

Hola a todos/as

A mí sigue sin funcionarme.

Ayer sin ir mas lejos desinstale el paquete (configuración incluída), lo volví a instalar (el que está en los repositorios) y sigue sin funcionar.

Así que , a qué te refieres con la nueva revisión del paquete, y si hay que bajarla de algún sitio diferente a los repositorios.

Un saludo

+1
0
-1
Imagen de tekoraik
+1
0
-1

La solución la tienes más arriba.

Si no quieres tener que hacerlo manualmente, supongo que tendras que activar las actualizaciones no soportadas y propuestas ya que es muy reciente que lo han solucionado.

+1
0
-1
Imagen de jubilata
+1
0
-1

Hola otra vez

He leído la solución temporal en la parte de arriba del post, pero me interesa tu respuesta final diciendo que ya hay actualización solucionando el tema, ya que prefiero esta solución.

Cuando dices activar las actualizaciones no soportadas, te refieres a activar los repositorios de los backports ó a cuales concretamente.

Un saludo otra vez.

+1
0
-1
Imagen de tekoraik
+1
0
-1

Me refiero a hardy-updates, hardy-proposed y hardy-backports.

En Synaptic->Configuración->Repositorios->Actualizaciones y activas todas.

UN SaLUDO

+1
0
-1
Imagen de jubilata
+1
0
-1

Hola y gracias por la respuesta, aunque no me haya servido de nada.
Los únicos repositorios de los que citas que no tenía activados eran los backports.
Los he descomentado en mi sources.list y he hecho el update para las fuentes, pero la versión de nautilus-gksu sigue siendo la misma que tenía antes en los repositorios, así que mientras tanto tendré que usar el truco que se indica al principio del post.
Pido disculpas por la tardanza en responder, pero es que he andado bastante liado.

Recibe un cordial saludo.

+1
0
-1
Imagen de tekoraik
+1
0
-1

Mi version actual de nautilus-gksu es la siguiente:
2.0.0-5ubuntu3

Corresponde, segun mi synaptic al repositorio hardy-updates.

+1
0
-1
Imagen de jubilata
+1
0
-1

Hola

Ahora estoy en el trabajo y no te puedo decir que versión de nautilus-gksu tengo, pero creo que es la misma que la tuya, y desde luego esta no es la corregida, ya que a mi sigue sin funcionarme, así que como dije más arriba pondré en práctica la solución dada al principio del post.
en cualquier caso, gracias.

Recibe un cordial saludo.

+1
0
-1